# Amuse: amuse::Emitter Class Reference

amuse::Emitter Class Reference

`#include <Emitter.hpp>`

Inheritance diagram for amuse::Emitter:
Collaboration diagram for amuse::Emitter:

## Public Member Functions

| Emitter (Engine &engine, const AudioGroup &group, std::shared_ptr< Voice > &&vox)
void | setPos (const Vector3f &pos)
void | setDir (const Vector3f &dir)
void | setMaxDist (float maxDist)
void | setMaxVol (float maxVol)
void | setMinVol (float minVol)
void | setFalloff (float falloff)
std::shared_ptr< Voice > & | getVoice ()
Public Member Functions inherited from amuse::Entity
| Entity (Engine &engine, const AudioGroup &group, int groupId, ObjectId oid=ObjectId())
Engine & | getEngine ()
const AudioGroup & | getAudioGroup () const
int | getGroupId () const
ObjectId | getObjectId () const

## Friends

class | Engine

## Additional Inherited Members

Protected Member Functions inherited from amuse::Entity
void | _destroy ()
Protected Attributes inherited from amuse::Entity
bool | m_destroyed = false
Engine & | m_engine
const AudioGroup & | m_audioGroup
int | m_groupId
ObjectId | m_objectId = 0xffff

## Detailed Description

Voice wrapper with positional-3D level control

Definition at line 14 of file Emitter.hpp.

The documentation for this class was generated from the following file:

- include/amuse/Emitter.hpp